> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Incoming Webhook Get

> Webhook endpoint to trigger a workflow.

This is an external facing endpoint is used to trigger a workflow by sending a webhook request.
The workflow is identified by the `path` parameter, which is equivalent to the workflow id.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /webhooks/{workflow_id}/{secret}
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /webhooks/{workflow_id}/{secret}:
    get:
      tags:
        - public
      summary: Incoming Webhook Get
      description: >-
        Webhook endpoint to trigger a workflow.


        This is an external facing endpoint is used to trigger a workflow by
        sending a webhook request.

        The workflow is identified by the `path` parameter, which is equivalent
        to the workflow id.
      operationId: public-incoming_webhook_get
      parameters:
        - name: secret
          in: path
          required: true
          schema:
            type: string
            title: Secret
        - name: workflow_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
                pattern: wf_[0-9a-zA-Z]+
              - type: string
                pattern: wf-[0-9a-f]{32}
            title: Workflow Id
        - name: echo
          in: query
          required: false
          schema:
            type: boolean
            description: Echo back to the caller
            default: false
            title: Echo
          description: Echo back to the caller
        - name: empty_echo
          in: query
          required: false
          schema:
            type: boolean
            description: Return an empty response. Assumes `echo` to be `True`.
            default: false
            title: Empty Echo
          description: Return an empty response. Assumes `echo` to be `True`.
        - name: vendor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: 'Vendor specific webhook verification. Supported vendors: `okta`.'
            title: Vendor
          description: 'Vendor specific webhook verification. Supported vendors: `okta`.'
        - name: content-type
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Content-Type
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````